%global packname  multtest
%global Rversion  3.4.0

Name:             R-%{packname}
Version:          2.36.0
Release:          2%{dist}
Summary:          Multiple hypothesis testing library from Bioconductor
Summary(fr):      Bibliothe que R de test multi-hypothèses

Group:            Applications/Productivity
License:          LGPLv2+ 
URL:              http://www.bioconductor.org/packages/release/bioc/html/multtest.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz

Requires:         R-core >= %{Rversion} R-methods R-BiocGenerics R-Biobase R-survival R-MASS R-stats4
BuildRequires:    R-devel >= %{Rversion} tex(latex) R-methods R-BiocGenerics R-Biobase R-survival R-MASS R-stats4

%description
Non-parametric bootstrap and permutation resampling-based multiple testing
procedures for controlling the family-wise error rate (FWER), generalized 
family-wise error rate (gFWER), tail probability of the proportion of 
false positives (TPPFP), and false discovery rate (FDR). Single-step and 
step-wise methods are implemented. Tests based on a variety of t- and 
F-statistics (including t-statistics based on regression parameters from 
linear and survival models) are included. Results are reported in terms 
of adjusted p-values, confindence regions and test statistic cutoffs. 
The procedures are directly applicable to identifying differentially 
expressed genes in DNA microarray experiments.

This Library is a part of the Bioconductor (bioconductor.org) proejct.

%prep
%setup -c -q -n %{packname}

%build

%install
chmod -x %{packname}/src/*.c
chmod -x %{packname}/DESCRIPTION


mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/otherDocs/*Rnw

%check
# Leads to a FTBFS
# TODO: package the needed dependency to fix this
#%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/otherDocs

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.36.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 2.36.0-1
- update to 2.36.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 31 2017 Tom Callaway <spot@fedoraproject.org> - 2.32.0-1
- update to 2.32.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 2.20.0-1
- Update to version 2.20.0

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 2.18.0-1
- Update to version 2.18.0

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 2.16.0-1
- Update to version 2.16.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 2.14.0-1
- Update to version 2.14.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 pingou <pingou@pingoured.fr> 2.12.0-1
- Update to version 2.12.0

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 2.10.0-2
- rebuild for R 2.14.0

* Thu Nov 03 2011 pingou <pingou@pingoured.fr> 2.10.0-1
- Update to version 2.10.0

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 2.8.0-1
- Update to version 2.8.0

* Thu Feb 10 2011 pingou <pingou@pingoured.fr> 2.6.0-3
- Remove the check section to test build

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 2.6.0-1
- Update to version 2.6.0

* Tue May 11 2010 pingou <pingou@pingoured.fr> 2.4.0-1
- Update to version 2.4.0
- Fix url to a more stable form
- Fix R on R-core
- Remove R on post/postun

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 2.2.0-1
- Update to 2.2.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0
- Fix BR tex(latex)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 2.0.0-1
- Update to Bioconductor 2.4 and R-2.9.0
- Use global instead of define

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.22.0-1
- New version 1.22.0 for R >= 2.8.0

* Tue Jun 25 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-3
- change the url

* Tue May 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-2
- Rebuild

* Mon May 26 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-1
- Update to version 1.20.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.18.0-4
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Pingou <pingoufc4@yahoo.fr> 1.18.0-3
- Change on the BR and the description

* Mon Jan 07 2008 Pingou <pingoufc4@yahoo.fr> 1.18.0-2
- Correct error on the URL

* Tue Dec 04 2007 Pingou <pingoufc4@yahoo.fr> 1.18.0-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-1
-  Update to 1.16.1

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-6
- Change the license tag

* Fri Jul 13 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-5
- Change in the R and BR section to fit the guidelines

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-4
- Change in post and postun to fit the packaging guidelines
- Change in the prep section to fir the guidelines

* Mon Jun 24 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-3
- Change de %%doc to avoid redundancy

*Wed May 23 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-2
- Add the %%check section

*Thu May 17 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-1
- Submitting to Fedora Extras

*Wed Apr 29 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-0.1
-Build of the rpm
